apache 2.4 не рабочий?

Используем пакеты, расширяющие возможности оборудования
emoxam
Сообщения: 36
Зарегистрирован: 06 фев 2017, 15:35

Сообщение emoxam » 20 окт 2017, 17:34

Подобная бага была и в apache22 но там это отмечалось segmentation fault в логах апача, здесь же ошибка другая.
Быть может это связано с тем что у меня прошивка 2.09 ? Я просил товарища проверить - у него все ок, но на 2.11.
Ввиду того что я только настроил у себя все так как мне надо я бы не хотел обновлять прошивку)

anch665
Сообщения: 8
Зарегистрирован: 02 ноя 2017, 23:08

Сообщение anch665 » 13 ноя 2017, 16:11

У меня тоже апач не работает, в настройках по дефолту меняю только порт и имя сервреа, перезапускаю. При обращении к корню ошибка:
Additionally, a 400 Bad Request error was encountered while trying to use an ErrorDocument to handle the request.
в логах.

Код: Выделить всё

[http:error] [pid 16868:tid 1986868480] [client 178.155.4.7:42100] AH02429: Response header name 'Content-Length' contains invalid characters, aborting request

устройство MI-Mini на прошивке padavan. optware тянется отсюда http://pkg.entware.net/binaries/mipsel/

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1333
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 13 ноя 2017, 16:16

anch665 писал(а):Источник цитаты У меня тоже апач не работает...

Изображение

emoxam
Сообщения: 36
Зарегистрирован: 06 фев 2017, 15:35

Сообщение emoxam » 13 ноя 2017, 16:18

Содержательный ответ! Иногда мне кажется что вас принуждают поддерживать этот проект, а лично у вас нет никакого желания.

anch665
Сообщения: 8
Зарегистрирован: 02 ноя 2017, 23:08

Сообщение anch665 » 13 ноя 2017, 16:27

Zyxmon писал(а):Источник цитаты
anch665 писал(а):Источник цитаты У меня тоже апач не работает...

Изображение

и что это значит? скинуть конфиг?

anch665
Сообщения: 8
Зарегистрирован: 02 ноя 2017, 23:08

Сообщение anch665 » 13 ноя 2017, 16:30

emoxam писал(а):Источник цитаты kaztost, Да, я как раз решил свои задачи с помощью http://entware-3x.zyxmon.org/binaries/m ... sel-3x.ipk
А с 2.4 печаль.

как вы установили эту версию apache? выполняю
opkg install http://pkg.entware.net/binaries/mipsel/ ... pselsf.ipk
и все равно ставиться 2.4.27-1

Аватара пользователя
Александр Рыжов
Сообщения: 330
Зарегистрирован: 12 авг 2015, 13:14
Откуда: Смоленск

Сообщение Александр Рыжов » 13 ноя 2017, 16:39

anch665, это так ведёт себя opkg, так всегда было. Если пытаться установить пакет по URL, то он заглянет в текущий индекс и установит самую новую версию из возможных, даже если его не просили. Однако если устанавливать из файла, то всё пройдёт как ожидаете:

Код: Выделить всё

opkg remove apache
cd /opt/tmp
wget http://pkg.entware.net/binaries/mipsel/archive/apache_2.2.31-2_mipselsf.ipk
opkg install apache_2.2.31-2_mipselsf

anch665
Сообщения: 8
Зарегистрирован: 02 ноя 2017, 23:08

Сообщение anch665 » 13 ноя 2017, 17:04

Спасибо за содержательный ответ.
Александр Рыжов писал(а):Источник цитаты opkg install apache_2.2.31-2_mipselsf

Только последняя команда должна быть такой: opkg install apache_2.2.31-2_mipselsf.ipk

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1333
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 13 ноя 2017, 17:35

emoxam писал(а):Источник цитаты Содержательный ответ! Иногда мне кажется что вас принуждают поддерживать этот проект, а лично у вас нет никакого желания.

Лично я вижу только то, что Вам дают совет, а Вы его не читаете. Зачем спрашивали?
anch665 писал(а):Источник цитаты и что это значит? скинуть конфиг?

Это значит, что ответ есть в теме (на предыдущей странице), в ответе упоминается тот, кто неоднократно наступает на одни грабли.

anch665
Сообщения: 8
Зарегистрирован: 02 ноя 2017, 23:08

Сообщение anch665 » 13 ноя 2017, 18:02

Zyxmon писал(а):Источник цитаты
emoxam писал(а):Источник цитаты
Это значит, что ответ есть в теме (на предыдущей странице), в ответе упоминается тот, кто неоднократно наступает на одни грабли.

Я что-то тоже не нашел ответа в предыдущей теме, но подтверждаю, что apache_2.2.31-2_mipselsf.ipk работает исправно, а 2.4.27-1 имеет ошибки указанные ранее.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 0 посетителей :: 0 зарегистрированных, 0 скрытых и 0 гостей (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей